// src/identity/anonymous/use-anonymous-identity.tsx
import { useCallback, useMemo } from "react";
var onSignerlessFramePress = () => Promise.resolve();
var logout = () => Promise.resolve();
var signer = {};
function useAnonymousIdentity() {
  const signFrameAction = useCallback((actionContext) => {
    const searchParams = new URLSearchParams({
      postType: actionContext.type === "tx-post" ? "post" : actionContext.frameButton.action,
      postUrl: actionContext.target ?? "",
      specification: "openframes"
    });
    return Promise.resolve({
      body: {
        untrustedData: {
          buttonIndex: actionContext.buttonIndex,
          state: actionContext.state,
          url: actionContext.url,
          inputText: actionContext.inputText,
          address: actionContext.type === "tx-data" || actionContext.type === "tx-post" ? actionContext.address : void 0,
          transactionId: actionContext.type === "tx-post" ? actionContext.transactionId : void 0,
          unixTimestamp: Date.now()
        },
        clientProtocol: "anonymous@1.0"
      },
      searchParams
    });
  }, []);
  return useMemo(
    () => ({
      hasSigner: true,
      onSignerlessFramePress,
      signer,
      isLoadingSigner: false,
      logout,
      signFrameAction
    }),
    [signFrameAction]
  );
}

export {
  useAnonymousIdentity
};
