// src/ui/utils.ts
function isPartialFrameStackItem(stackItem) {
  return stackItem.status === "done" && stackItem.frameResult.status === "failure" && !!stackItem.frameResult.frame.image && !!stackItem.frameResult.frame.buttons && stackItem.frameResult.frame.buttons.length > 0;
}
function getErrorMessageFromFramesStackItem(item) {
  if (item.status === "message") {
    return item.message;
  }
  if (item.requestError instanceof Error) {
    return item.requestError.message;
  }
  return "An error occurred";
}

export {
  isPartialFrameStackItem,
  getErrorMessageFromFramesStackItem
};
