"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/errors.ts
var errors_exports = {};
__export(errors_exports, {
  CastActionUnexpectedResponseError: () => CastActionUnexpectedResponseError,
  ComposerActionUnexpectedResponseError: () => ComposerActionUnexpectedResponseError,
  SignatureHandlerDidNotReturnTransactionIdError: () => SignatureHandlerDidNotReturnTransactionIdError,
  TransactionDataErrorResponseError: () => TransactionDataErrorResponseError,
  TransactionDataTargetMalformedError: () => TransactionDataTargetMalformedError,
  TransactionHandlerDidNotReturnTransactionIdError: () => TransactionHandlerDidNotReturnTransactionIdError
});
module.exports = __toCommonJS(errors_exports);
var TransactionDataTargetMalformedError = class extends Error {
  constructor(response) {
    super("Malformed transaction target data from the server");
    this.response = response;
  }
};
var TransactionDataErrorResponseError = class extends Error {
  constructor(response) {
    super("Non OK transaction data response from the server");
    this.response = response;
  }
};
var TransactionHandlerDidNotReturnTransactionIdError = class extends Error {
  constructor() {
    super("onTransaction() handler did not return a transaction id");
  }
};
var SignatureHandlerDidNotReturnTransactionIdError = class extends Error {
  constructor() {
    super("onSignature() handler did not return a transaction id");
  }
};
var CastActionUnexpectedResponseError = class extends Error {
  constructor() {
    super("Unexpected cast action response from the server");
  }
};
var ComposerActionUnexpectedResponseError = class extends Error {
  constructor() {
    super("Unexpected composer action response from the server");
  }
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CastActionUnexpectedResponseError,
  ComposerActionUnexpectedResponseError,
  SignatureHandlerDidNotReturnTransactionIdError,
  TransactionDataErrorResponseError,
  TransactionDataTargetMalformedError,
  TransactionHandlerDidNotReturnTransactionIdError
});
