"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/hooks/use-persisted-reducer.ts
var use_persisted_reducer_exports = {};
__export(use_persisted_reducer_exports, {
  usePersistedReducer: () => usePersistedReducer
});
module.exports = __toCommonJS(use_persisted_reducer_exports);
var import_react = require("react");
var unitializedState = Symbol("unitializedState");
function usePersistedReducer(reducer, initialState, loadInitialState, saveState) {
  const [state, setState] = (0, import_react.useState)(initialState);
  const latestStateRef = (0, import_react.useRef)(unitializedState);
  const loadInitialStateRef = (0, import_react.useRef)(loadInitialState);
  (0, import_react.useEffect)(() => {
    loadInitialStateRef.current().then((loadedInitialState) => {
      latestStateRef.current = loadedInitialState;
      setState(loadedInitialState);
    }).catch((e) => {
      console.error("@frames.js/render: Could not initialize state", e);
    });
  }, []);
  const dispatch = async (action) => {
    if (latestStateRef.current === unitializedState) {
      throw new Error(
        "@frames.js/render: Cannot dispatch action before state is initialized"
      );
    }
    latestStateRef.current = reducer(latestStateRef.current, action);
    await saveState(latestStateRef.current);
    setState(latestStateRef.current);
  };
  return [state, dispatch];
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  usePersistedReducer
});
