"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/identity/anonymous/index.ts
var anonymous_exports = {};
__export(anonymous_exports, {
  useAnonymousIdentity: () => useAnonymousIdentity
});
module.exports = __toCommonJS(anonymous_exports);

// src/identity/anonymous/use-anonymous-identity.tsx
var import_react = require("react");
var onSignerlessFramePress = () => Promise.resolve();
var logout = () => Promise.resolve();
var signer = {};
function useAnonymousIdentity() {
  const signFrameAction = (0, import_react.useCallback)((actionContext) => {
    const searchParams = new URLSearchParams({
      postType: actionContext.type === "tx-post" ? "post" : actionContext.frameButton.action,
      postUrl: actionContext.target ?? "",
      specification: "openframes"
    });
    return Promise.resolve({
      body: {
        untrustedData: {
          buttonIndex: actionContext.buttonIndex,
          state: actionContext.state,
          url: actionContext.url,
          inputText: actionContext.inputText,
          address: actionContext.type === "tx-data" || actionContext.type === "tx-post" ? actionContext.address : void 0,
          transactionId: actionContext.type === "tx-post" ? actionContext.transactionId : void 0,
          unixTimestamp: Date.now()
        },
        clientProtocol: "anonymous@1.0"
      },
      searchParams
    });
  }, []);
  return (0, import_react.useMemo)(
    () => ({
      hasSigner: true,
      onSignerlessFramePress,
      signer,
      isLoadingSigner: false,
      logout,
      signFrameAction
    }),
    [signFrameAction]
  );
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  useAnonymousIdentity
});
