"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/identity/farcaster/identity-poller.ts
var identity_poller_exports = {};
__export(identity_poller_exports, {
  IdentityPoller: () => IdentityPoller
});
module.exports = __toCommonJS(identity_poller_exports);
var POLL_INTERVAL = 2e3;
var IdentityPoller = class {
  controller;
  polling = false;
  constructor() {
    this.controller = new AbortController();
  }
  isPolling = () => {
    return this.polling;
  };
  start = async (token) => {
    this.controller = new AbortController();
    this.polling = true;
    while (true) {
      if (this.controller.signal.aborted) {
        this.polling = false;
        return false;
      }
      try {
        const fcSignerRequestResponse = await fetch(
          `https://api.warpcast.com/v2/signed-key-request?token=${token}`,
          {
            method: "GET",
            headers: {
              "Content-Type": "application/json"
            }
          }
        );
        if (fcSignerRequestResponse.ok) {
          const responseBody = await fcSignerRequestResponse.json();
          if (responseBody.result.signedKeyRequest.state === "completed") {
            return responseBody.result.signedKeyRequest;
          }
        } else {
          throw new Error(
            `Warpcast API returned an error response with status code: ${fcSignerRequestResponse.status}`
          );
        }
      } catch (error) {
        console.error(
          "Error while polling for the signer approval status",
          error
        );
      }
      await new Promise((r) => {
        setTimeout(r, POLL_INTERVAL);
      });
    }
  };
  stop = () => {
    if (this.controller.signal.aborted) {
      return;
    }
    this.controller.abort();
  };
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  IdentityPoller
});
