import { e as FarcasterSignerApproved$1, d as FarcasterSignerImpersonating$1, b as FarcasterSignerPendingApproval$1 } from '../../types-CpDSaA9l.js';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import '@farcaster/core';

type FarcasterSignedKeyRequest = {
    deeplinkUrl: string;
    isSponsored: boolean;
    key: string;
    requestFid: number;
    state: string;
    token: string;
    userFid: number;
    signerUser?: Record<string, any>;
    signerUserMetadata?: Record<string, any>;
};
type FarcasterSignerApproved = FarcasterSignerApproved$1 & {
    _id: number | string;
    signedKeyRequest: FarcasterSignedKeyRequest;
};
type FarcasterSignerImpersonating = FarcasterSignerImpersonating$1 & {
    _id: number | string;
};
type FarcasterSignerPendingApproval = FarcasterSignerPendingApproval$1 & {
    _id: number | string;
};
type FarcasterSigner = FarcasterSignerApproved | FarcasterSignerImpersonating | FarcasterSignerPendingApproval;
type FarcasterCreateSignerResult = {
    token: string;
    signerApprovalUrl: string;
};

export type { FarcasterCreateSignerResult, FarcasterSignedKeyRequest, FarcasterSigner, FarcasterSignerApproved, FarcasterSignerImpersonating, FarcasterSignerPendingApproval };
