import { ViewStyle, ImageStyle, TextStyle } from 'react-native';
import { BaseFrameUIProps } from './frame.base.js';
export { FrameUIComponents, FrameUITheme } from './frame.base.js';
import { FrameUIComponents } from './types.js';
import 'react';
import '../types-CpDSaA9l.js';
import 'frames.js';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import '@farcaster/core';

type StylingProps = {
    /**
     * Nativewind support
     */
    className?: string;
    style?: ViewStyle | ImageStyle | TextStyle;
};
type FrameUIProps<TStylingProps extends Record<string, unknown>> = Omit<BaseFrameUIProps<TStylingProps>, "components"> & {
    /**
     * Components should be memoized to avoid re-rendering the entire UI
     */
    components?: Partial<FrameUIComponents<TStylingProps>>;
};
declare function FrameUI<TStylingProps extends Record<string, unknown> = StylingProps>(props: FrameUIProps<TStylingProps>): JSX.Element;

export { FrameUI };
